Alibaba: Qwen Image 3.0 (Image to Image) API Reference

About

Generates images from a text prompt at resolutions up to 2048×2048, with automatic prompt rewriting and prompt-guided resolution selection, building on Qwen's strength in complex text rendering and precise prompt adherence

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "qwen/qwen-image-3.0/image-to-image",
    "prompt": "Add text in a cinematic font in front of the image, saying `He is back in town` and `In theaters early August 1948`",
    "negative_prompt": "low resolution, error, worst quality, low quality, deformed",
    "image_urls": [
      "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/13/20260813-151958-198b1f71-1.jpg"
    ],
    "size": "2048*2048",
    "watermark": false,
    "enable_prompt_expansion": true,
    "n": 1,
    "seed": 214748364
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813073842744614482ErJsCzN",
    "object": "image",
    "model": "qwen/qwen-image-3.0/image-to-image",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/images/tasks/20260813073842744614482ErJsCzN"
    },
    "created_at": "2026-08-13 07:38:42.13"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/images/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/images/tasks/20260813073842744614482ErJsCzN \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813073842744614482ErJsCzN",
    "object": "image",
    "model": "qwen/qwen-image-3.0/image-to-image",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1786606722,
    "start_time": 1786606722,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-08-13 07:38:42"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813073842744614482ErJsCzN",
    "object": "image",
    "model": "qwen/qwen-image-3.0/image-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786606722,
    "start_time": 1786606722,
    "finish_time": 1786606789,
    "outputs": [
      "https://infron.ai/cdn/media/image/generated/official_alibaba_image_be645303646d4e00ab2dca1a32721a25.png"
    ],
    "usage": {
      "completion_tokens": 0,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 1,
      "resolution": "2048*2048",
      "total_tokens": 1,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.033,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.033,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-13 07:38:42"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
negative_promptstringNo----Negative text prompt for generation; Negative text prompt.
image_urlsarrayNo--[1,3]Image URLs to use as a reference for the generation.
sizestringNo1024*1024512*512, 2048*2048The size of the generated image in pixels (width*height).
watermarkbooleanNofalsetrue, falseWhether to add watermark to the image.
enablepromptexpansionbooleanNotruetrue, falseWhether to enable prompt expansion.
nintegerNo1[1]Number of videos to generate.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "qwen/qwen-image-3.0/image-to-image",
    "prompt": "Add text in a cinematic font in front of the image, saying `He is back in town` and `In theaters early August 1948`",
    "negative_prompt": "low resolution, error, worst quality, low quality, deformed",
    "image_urls": [
      "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/13/20260813-151958-198b1f71-1.jpg"
    ],
    "size": "2048*2048",
    "watermark": false,
    "enable_prompt_expansion": true,
    "n": 1,
    "seed": 214748364
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the task.
data.task_idstring--ID of the task.
data.objectstring--Object type of the task.
data.modelstring--Model name of the task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the task.
data.fail_reasonstring--Fail reason of the task.
data.submit_timeinteger--Timestamp of the task submission.
data.start_timeinteger--Timestamp of the task start.
data.finish_timeinteger--Timestamp of the task finish.
data.outputsarray--Outputs of the task.
data.created_atstring--Timestamp of the task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813073842744614482ErJsCzN",
    "object": "image",
    "model": "qwen/qwen-image-3.0/image-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786606722,
    "start_time": 1786606722,
    "finish_time": 1786606789,
    "outputs": [
      "https://infron.ai/cdn/media/image/generated/official_alibaba_image_be645303646d4e00ab2dca1a32721a25.png"
    ],
    "usage": {
      "completion_tokens": 0,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 1,
      "resolution": "2048*2048",
      "total_tokens": 1,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.033,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.033,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-13 07:38:42"
  }
}

3. Detailed Pricing

ModelResolutionReference ImagePrice / Output Image
Qwen Image 3.01KNo$0.030
Qwen Image 3.01KYes, 1 ref$0.033
Qwen Image 3.02KNo$0.030
Qwen Image 3.02KYes, 1 ref$0.033
Qwen Image 3.0 Pro1KNo$0.040
Qwen Image 3.0 Pro1KYes, 1 ref$0.043
Qwen Image 3.0 Pro2KNo$0.075
Qwen Image 3.0 Pro2KYes, 1 ref$0.078